# Interface MsaPfvManagerInterface<T>

#### Type Parameters

- #### T extends any[]

#### Hierarchy

- MsaPfvManagerInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:28

#####
Index

### Properties

alignmentResponseContainer
id
pfvArgs

### Methods

buildMsaAlignmentFv

## Properties

### alignmentResponseContainer

alignmentResponseContainer: DataContainer<AlignmentResponse>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:30

### id

id: string

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:29

### pfvArgs

pfvArgs: T

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:31

## Methods

### buildMsaAlignmentFv

- buildMsaAlignmentFv(...args): Promise<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

- #### Parameters

  - ##### `Rest` ...args: [string, ...T[], RcsbFvAdditionalConfig & FvChangeConfigInterface]

  #### Returns Promise<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:32

Generated using TypeDoc